using Core.Calculation;
using Core.Entities;
using Core.Parsers;
using Tests.Parsers;

namespace Tests.Calculation;
[TestFixture]
public class EventAssignerTests
{

	[Test]
	public void SolutionTest()
	{
		var events = TestEntityHandler.GetCompetitiveEvents();
		var students = TestEntityHandler.GetStudents(events);

		var eventAssignment = new EventAssigner(events, students, new AssignmentParameters());
		var teams = eventAssignment.Solve();

		var teamWriter = new TeamWriter(teams, @"c:\temp\teams.csv");
		teamWriter.Write();
	}
}